// HTMLTextView.h : interface of the CHTMLTextView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_HTMLTEXTVIEW_H__BE39B05F_AA85_11D2_B4E5_000000000000__INCLUDED_)
#define AFX_HTMLTEXTVIEW_H__BE39B05F_AA85_11D2_B4E5_000000000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "HTMLView.h"

struct REQUESTINFO;

class CHTMLTextView : public CHTMLView
{
protected: // create from serialization only
	CHTMLTextView();
	DECLARE_DYNCREATE(CHTMLTextView)

	CWinThread* m_pPageRequestThread;
	CWinThread* m_pHighTextRequestThread;
	bool		m_bPageArrived;
	int			m_nCurrBook;
	int			m_nCurrPage;
// Attributes
public:
	HINSTANCE m_hInstHTMLCtrl;	// HTML Control Viewer instance
	HWND m_hwndHtml;			// Handle to HTML DISPLAYCLASS window

// Operations
public:
	CHTMLTextDoc* GetDocument();
	virtual void OnLink(CString strData);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHTMLTextView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CHTMLTextView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CHTMLTextView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	afx_msg LRESULT OnRequestCompleted(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnSaveContents(WPARAM wParam, LPARAM lParam);
	afx_msg void OnLink(NMHDR * pNotifyStruct, LRESULT * result);
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in HTMLTextView.cpp
inline CHTMLTextDoc* CHTMLTextView::GetDocument()
   { return (CHTMLTextDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HTMLTEXTVIEW_H__BE39B05F_AA85_11D2_B4E5_000000000000__INCLUDED_)

