#if !defined(AFX_PICTUREDLG_H__0F2A3A25_DE45_11D2_ACFC_00A04B070143__INCLUDED_)
#define AFX_PICTUREDLG_H__0F2A3A25_DE45_11D2_ACFC_00A04B070143__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// PictureDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// Data structures
struct DIBINFO;
struct REQUESTINFO;

/////////////////////////////////////////////////////////////////////////////
// CPictureDlg dialog

class CPictureDlg : public CDialog
{
	CWnd* m_pParentWnd;
	float m_fScaleFactor;
	
	bool m_bDownloading;
	bool m_bDownloadError;

	DIBINFO* m_pDIBInfo;
	

// Construction
public:
	CPictureDlg(CWnd* pParent = NULL);   // standard constructor
	BOOL Create(CWnd* pParent, UINT uBook, int nPage, UINT uIndex, CString& strName, bool bLarge, LONG lWidth, LONG lHeight, DWORD dwSize);
	void OnCancel();
	void SetIndependent() {m_pParentWnd = NULL;}

// Dialog Data
	//{{AFX_DATA(CPictureDlg)
	enum { IDD = IDD_PICTURE };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPictureDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPictureDlg)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnPaint();
	virtual BOOL OnInitDialog();
	afx_msg void OnSizing( UINT nSide, LPRECT lpRect );
	//}}AFX_MSG
	afx_msg LRESULT OnRequestCompleted(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PICTUREDLG_H__0F2A3A25_DE45_11D2_ACFC_00A04B070143__INCLUDED_)
