#if !defined(AFX_DIBWND_H__29047FF3_D99D_11D2_ACF0_00A04B070143__INCLUDED_)
#define AFX_DIBWND_H__29047FF3_D99D_11D2_ACF0_00A04B070143__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DIBWnd.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// Data structures
struct DIBINFO;
class CPictureDlg;

/////////////////////////////////////////////////////////////////////////////
// CDIBWnd window

class CDIBWnd : public CPictureWnd
{
protected:
	DIBINFO* m_pDIBInfo;

	bool	m_bDownloading;
	bool	m_bDownloadError;

	DWORD	m_dwLargeSize;
	LONG	m_lLargeWidth;
	LONG	m_lLargeHeight;

	CPictureDlg* m_pPicDlg;

// Construction
public:
	CDIBWnd();

// Attributes
public:

// Operations
protected:
	virtual void OnPictureSelect();
	virtual void OnPictureUnselect();

public:
	virtual BOOL Create(const PICTUREINFO& pi, CRect& rect, CWnd* pParentWnd, UINT nID);
	virtual void OnDraw(CDC* pDC, const CRect& rect);
	virtual void OnDownloadCompleted(WPARAM wParam, LPARAM lParam);
	virtual void OnProperties();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDIBWnd)
	public:
	virtual BOOL DestroyWindow();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDIBWnd();

	// Generated message map functions
protected:
	//{{AFX_MSG(CDIBWnd)
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DIBWND_H__29047FF3_D99D_11D2_ACF0_00A04B070143__INCLUDED_)
